// L2J-Dot Custom Item
// This Item Grants You Noblesse Status When Press It 
// Source File Name:   NobleCustomItem.java

package com.l2dot.gameserver.handler.itemhandlers;

import com.l2dot.Config;
import com.l2dot.gameserver.handler.IItemHandler;
import com.l2dot.gameserver.model.L2ItemInstance;
import com.l2dot.gameserver.model.actor.instance.L2PcInstance;
import com.l2dot.gameserver.model.actor.instance.L2PlayableInstance;
import com.l2dot.gameserver.network.serverpackets.SocialAction;

public class HeroCustomItem
    implements IItemHandler
{

    public HeroCustomItem()
    {
    }

    public void useItem(L2PlayableInstance playable, L2ItemInstance item)
    {
        if(Config.HERO_CUSTOM_ITEMS)
        {
            if(!(playable instanceof L2PcInstance))
                return;
            L2PcInstance activeChar = (L2PcInstance)playable;
            if(activeChar.isHero())
            {
                activeChar.sendMessage("You Are Already A Hero!.");
            } else
            {
                activeChar.broadcastPacket(new SocialAction(activeChar.getObjectId(), 16));
                activeChar.setHero(true);
                activeChar.sendMessage("You Are Now a Hero,You Are Granted With Hero Status , And Hero Skills.");
                activeChar.broadcastUserInfo();
                playable.destroyItem("Consume", item.getObjectId(), 1, null, false);
            }
        }
    }

    public int[] getItemIds()
    {
        return ITEM_IDS;
    }

    private static final int ITEM_IDS[] = {
    	Config.HERO_ITEM_ID
    };
    
}

